The installer should use puppetlabs modules where possible
Description

Right now, a few of the modules the foreman-installer uses are theforeman specific. This creates problems when you want to use

theforeman/foreman module in a larger puppet repository, and not install theforeman through foreman-installer. If the modules were

using the standard puppetlabs modules as much as possible that would be really much more usable. foreman-installer is great for a

simple test install, but in production environments I would imagine anyone would want to configure foreman as part of a much larger

repository.

History

#1 - 06/12/2014 01:26 PM - Dominic Cleal

Specifically which ones are you thinking of?

#2 - 06/12/2014 03:43 PM - Walter Heck

Specifically puppetlabs/puppet is the toughest, as you can't have puppetlabs/puppet and theforeman/puppet in a single repo, and they don't share the

same classes or anything. puppetlabs/puppet doesn't currently have ENC functionality, but that shouldn't be hard to put in a pull request.

Less important is theforeman/concat_native vs puppetlabs/concat.

#3 - 06/05/2015 12:27 PM - Daniel Lobato Garcia

The concat vs concat_native issue is now fixed. 

https://github.com/theforeman/puppet-concat_native/commit/f7999137d9e17a27f4efdce23ce1f841cdabbd5d

#4 - 05/20/2017 06:22 AM - Anonymous

- Status changed from New to Resolved

I think all that's possible for now has been done.

#5 - 05/20/2017 03:54 PM - Ewoud Kohl van Wijngaarden

I'd like to merge theforeman-dhcp into voxpupuli-dhcp (formerly puppetlabs-dhcp) but we still need to merge quite a bit into their module that I think

currently our module is of a higher quality. That means I agree that for now this can be closed.
